aboutsummaryrefslogtreecommitdiffstats
path: root/main/charybdis/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/charybdis/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/charybdis/APKBUILD')
-rw-r--r--main/charybdis/APKBUILD22
1 files changed, 12 insertions, 10 deletions
diff --git a/main/charybdis/APKBUILD b/main/charybdis/APKBUILD
index 4845ee7ae5..6b519be8a3 100644
--- a/main/charybdis/APKBUILD
+++ b/main/charybdis/APKBUILD
@@ -29,15 +29,18 @@ prepare() {
build() {
cd "$_builddir"
./configure \
- --prefix=/usr \
- --sysconfdir=/etc/charybdis \
- --localstatedir=/var \
- --libexecdir=/usr/lib \
- --disable-assert \
- --enable-ssl \
- --enable-ipv6 \
- --with-rundir=/var/run \
- --with-program-prefix=charybdis-
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc/charybdis \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib \
+ --disable-assert \
+ --enable-ssl \
+ --enable-ipv6 \
+ --with-rundir=/var/run \
+ --with-program-prefix=charybdis- \
+ || return 1
make
}
@@ -55,7 +58,6 @@ package() {
sed -i -e "s/\"modules\"/\"\/usr\/lib\/charybdis\/modules\"/g" $pkgdir/etc/$pkgname/example.conf
sed -i -e "s/\"modules\/autoload\"/\"\/usr\/lib\/charybdis\/modules\/autoload\"/g" "$pkgdir"/etc/$pkgname/example.conf
sed -i -e "s/usr\/local\/ircd\/modules/usr\/lib\/charybdis\/modules/g" "$pkgdir"/etc/$pkgname/reference.conf
-
}
md5sums="54245396b829f8d19d3958cde9c3bd65 charybdis-3.4.2.tar.bz2